Page MenuHomePhabricator

localrepo: fastpath access to "."
ClosedPublic

Authored by marmoute on Nov 22 2019, 4:21 AM.

Details

Summary

"." is just an aliast for p1(wdir(), let us handle it that way.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Nov 22 2019, 4:21 AM
marmoute updated this revision to Diff 18359.Nov 23 2019, 8:04 AM
marmoute updated this revision to Diff 18383.Nov 24 2019, 6:26 AM
Alphare updated this revision to Diff 19362.Thu, Jan 16, 9:24 AM
pulkit added a subscriber: pulkit.Fri, Jan 17, 9:58 AM

"." is just an aliast for p1(wdir(),

"." is just an alias for p1(wdir()),

in flight.

pulkit accepted this revision.Fri, Jan 17, 9:58 AM
This revision is now accepted and ready to land.Fri, Jan 17, 9:58 AM
This revision was automatically updated to reflect the committed changes.